PVector v1;
PVector move, xShift;
float xOff = 0.0;


class Ball {

  float xPos, yPos;

  Ball (float _xPos, float _yPos) {
    xPos = _xPos;
    yPos = _yPos;

  }
  
  void run(){
    variation();
    move();
    displayBall();
  }

  void initialiseBall() {

    v1 = new PVector (xPos, yPos);
    move = new PVector(0, 3);
  }

  void variation() {
    float magnitude = 6;
    float offFactor = 0.05;

    xOff += offFactor;
    float n = noise (xOff)* magnitude;
    n -= magnitude * .5;

    xShift =  new PVector (n, 0);
    v1.add(xShift);
  }

  void move() {

    if (v1.y < height) {
      v1.add(move);
      v1.x += xTrim;
    }

    else {
      v1.y = 0;
    }
    
       if ((v1.x > width)||(v1.x < 0)) {
      v1.x = v1.x*-1;
     
    }
    
    
  }


  void displayBall() {

    float fillVal = (v1.y/height)*255;
    fill(255, gFill, fillVal);

    ellipse(v1.x, v1.y, 20, 20);
  }
}
